@font-face {
  font-family: "avalonregular";
  src: url("fonts/avalon-webfont.woff2") format("woff2"),
    url("fonts/avalon-webfont.woff") format("woff");
  font-weight: bolder;
  font-style: normal;
}
.type-writter {
  min-height: 100%;
  overflow: hidden;
  height: calc(100vh - 8em);
  padding: 4em;
  color: rgba(255, 255, 255, 0.75);
  font-family: "avalonregular";
  background-color: rgb(188, 41, 41);
}

/*Animation*/

.anim-typewriter {
  animation: typewriter 2s steps(40) 1s 1 normal both,
    blinkTextCursor 500ms steps(40) infinite normal;
}

@keyframes typewriter {
  from {
    width: 0;
  }
  to {
    width: 14em;
  }
}

@keyframes blinkTextCursor {
  from {
    border-right-color: #fff;
  }
  to {
    border-right-color: transparent;
  }
}

section {
  position: absolute;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}
section video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.text {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 7vw;
  text-align: center;
  font-weight: 800;
  background: #000;
  mix-blend-mode: multiply;
}

.animation {
  animation: text 7s ease-in normal;
}

@keyframes text {
  0% {
    transform: scale(0.9);
  }
  25% {
    transform: scale(2);
  }
}
.contact_button {
  margin-left: 25px;
}
.line {
  position: relative;
  top: 50%;
  width: 20em;
  margin: 0 auto;
  border-right: 2px solid rgba(255, 255, 255, 0.75);
  font-size: 180%;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  transform: translateY(-50%);
  font-family: "avalonregular";
  color: #000;
}
.logo_img {
  width: 70px;
}
@media only screen and (max-width: 480px) {
  .line {
    position: relative;
    top: 50%;
    margin: 0 auto;
    border-right: 2px solid rgba(255, 255, 255, 0.75);
    font-size: 110%;
    text-align: center;
    white-space: nowrap;
    font-family: "avalonregular";
    color: #000;
    margin: auto;
  }
  .logo_img {
    width: 50px;
  }
}
